uk.gov.hmrc.accessibility.audit

# AuditReporter

###
Related Doc: package audit

#### object AuditReporter extends AccessibilityReporter[AuditResult]

Linear Supertypes
AccessibilityReporter[AuditResult], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AuditReporter
2. AccessibilityReporter
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val ReportName: String

   Definition Classes
     AuditReporter → AccessibilityReporter

5. #### val SummaryFooter: String

   Definition Classes
     AccessibilityReporter

6. #### lazy val SummaryHeader: String

   Definition Classes
     AccessibilityReporter

7. #### val TableFooter: String

   Definition Classes
     AccessibilityReporter

8. #### val TableHeaderEnd: String

   Definition Classes
     AccessibilityReporter

9. #### val TableHeaderStart: String

   Definition Classes
     AccessibilityReporter

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### def headingValues(): Seq[String]

    Definition Classes
      AuditReporter → AccessibilityReporter

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def linkStandard(standard: String): String

20. #### def makeSummary(data: Seq[AuditResult]): String

    Definition Classes
      AccessibilityReporter

21. #### def makeTable(data: Seq[AuditResult]): String

    Definition Classes
      AccessibilityReporter

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### val regex: Regex

26. #### def rowValues(item: AuditResult): Seq[String]

    Definition Classes
      AuditReporter → AccessibilityReporter

27. #### def summaryContent(data: Seq[AuditResult]): String

    Definition Classes
      AuditReporter → AccessibilityReporter

28. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AccessibilityReporter[AuditResult]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped